Subject: [Shop-talk] 455 Husqvarna rancher chain saw

From: Frank Vantacich <[email-masked]>
Date: Mon, 10 Sep 2012 19:53:11 -0700 (PDT)

I was wondering if anyone on the list has purchased a Husqvarna 455 rancher
chain saw recently? I have owned mine for about 2 years and since day one it
has 
leaked chain oil .  I started stripping it down and think I have found
the 
source of the leak, a rubber plug with a rubber tube coming off of it,
but it 
looks in good condition.

I have heard of others having this same
problem but no fix for the problem.
 
Frank V.
[email-masked]
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive